//
//  TextFileManager.m
//
//  Created by JP Vergara on 2/21/13.
//  Copyright (c) 2013 Ian. All rights reserved.
//

#import "TextFileManager.h"

@implementation TextFileManager

+(void) writeStringToFile:(NSString *) contents:(NSString *) fileName
{
    NSFileManager *filemgr;
    NSData *dataBuffer;
    NSString *dataFile;
    NSString *docsDir;
    NSArray *dirPaths;
    
    filemgr = [NSFileManager defaultManager];
    dirPaths = NSSearchPathForDirectoriesInDomains(
                                                   NSDocumentDirectory, NSUserDomainMask, YES);
    docsDir = dirPaths[0];
    dataFile = [docsDir
                stringByAppendingPathComponent: fileName];
    
    dataBuffer = [contents
                  dataUsingEncoding: NSASCIIStringEncoding];
    [filemgr createFileAtPath: dataFile
                     contents: dataBuffer attributes:nil];
}

+(NSString *) readStringFromFile:(NSString *) fileName
{
    NSFileManager *filemgr;
    NSData *dataBuffer;
    NSString *dataFile;
    NSString *docsDir;
    NSArray *dirPaths;
    
    filemgr = [NSFileManager defaultManager];
    dirPaths = NSSearchPathForDirectoriesInDomains(
                NSDocumentDirectory, NSUserDomainMask, YES);
    docsDir = dirPaths[0];
    dataFile = [docsDir
                stringByAppendingPathComponent: fileName];
    if ([filemgr fileExistsAtPath: dataFile])
    {
        dataBuffer = [filemgr contentsAtPath: dataFile];
        NSString *dataString = [[NSString alloc]
                                initWithData: dataBuffer
                                encoding:NSASCIIStringEncoding];
//        NSString *dataString =  [NSString stringWithUTF8String:[dataBuffer bytes]];
        return dataString;
    }
    return @"";
}

+(NSString *) readStringFromURL:(NSString *) URLString
{
    NSURL *URL = [NSURL URLWithString:URLString];
    NSError *error;
    NSString *contents = [[NSString alloc]
                                     initWithContentsOfURL:URL
                                     encoding:NSUTF8StringEncoding
                                     error:&error];
    if (contents == nil)
        return @"";
    else
        return contents;
}


@end
